#include <iostream>
using namespace std;

int main()
{
    int w_care,w_carici,w_peshki,w_topove,w_kone,w_oficeri,b_care,b_carici,b_peshki,b_topove,b_kone,b_oficeri,a1,a2,a3,a4,a5,a6,b1,b2,b3,b4,b5,b6;
    cin >> w_care >> w_carici >> w_topove >> w_kone >> w_oficeri >> w_peshki;
    cin >> b_care >> b_carici >> b_topove >> b_kone >> b_oficeri >> b_peshki;
    if (w_care>1)
    {
        a1=w_care-1;
        cout << "-" << a1 << " " ;
    }
    else
    {
        a1=1;
        cout << a1 << " ";
    }
    if (w_carici>1)
    {
        a2=w_carici-1;
        cout << "-" << a2 << " " ;
    }
    else
    {
        a2=1;
        cout << a2 << " ";
    }
    if(w_topove>2)
    {
        a3=w_topove-2;
        cout << "-" << a3 << " ";
    }
    else
    {
        a3=2-w_topove;
        cout << a3 << " ";
    }
    if(w_kone>2)
    {
        a4=w_kone-2;
        cout << "-" << a4 << " ";
    }
    else
    {
        a4=2-w_kone;
        cout << a4 << " ";
    }
    if(w_oficeri>2)
    {
        a5=w_oficeri-2;
        cout << "-" << a5 << " ";

    }
    else
    {
        a5=2-w_oficeri;
        cout << a5 << " ";
    }
    if(w_peshki>8)
    {
        a6=w_peshki-8;
        cout << "-" << a6 << " " << endl;
    }
    else
    {
        a6=8-w_peshki;
        cout << a6 << " " << endl;
    }
    if(b_care>1)
    {
        b1=b_care-1;
        cout << "-" << b1 << " " ;
    }
    else
    {
        b1=1;
        cout << b1 << " ";
    }
    if (b_carici>1)
    {
        b2=b_carici-1;
        cout << "-" << b2 << " " ;
    }
    else
    {
        b2=1;
        cout << b2 << " ";
    }
    if(b_topove>2)
    {
        b3=b_topove-2;
        cout << "-" << a3 << " ";
    }
    else
    {
        b3=2-b_topove;
        cout << b3 << " ";
    }
    if(b_kone>2)
    {
        b4=b_kone-2;
        cout << "-" << b4 << " ";
    }
    else
    {
        b4=2-b_kone;
        cout << b4 << " ";
    }
    if(b_oficeri>2)
    {
        b5=b_oficeri-2;
        cout << "-" << b5 << " ";

    }
    else
    {
        b5=2-b_oficeri;
        cout << b5 << " ";
    }
    if(b_peshki>8)
    {
        b6=b_peshki-8;
        cout << "-" << b6 << " ";
    }
    else
    {
        b6=8-b_peshki;
        cout << b6 << " ";
    }

    return 0;
}
